## Class Letter

    java.lang.Object
      greenfoot.Actor
          Letter

    public class Letter

extends greenfoot.Actor

This class creates a Letter object.

Version:
  12.06.2015
Author:
  Maria - Despoina Gkaintatzi

Field Summary
`static int` | `INDEX`
`static int` | `ITERATIONS`

Constructor Summary
`Letter(java.awt.Color color)` Constructor for objects of class Letter.

Method Summary
`void` | `act()` Act - do whatever the Word wants to do.
`void` | `fillLists()` Fills letters list with letters from the keys of the middle row of the keyboard
`TextImage` | `getTextImage()` Returns the image of the object Letter.
`java.lang.String` | `letterFromLevel()` Selects the appropriate letter provider method according to the level.
`java.lang.String` | `levelFiveLetter()` Provides a certain pattern of letters for the fifth level of the game
`java.lang.String` | `levelFourLetter()` Provides a certain pattern of letters for the forth level of the game
`java.lang.String` | `levelOneLetter()` Provides a certain pattern of letters for the first level of the game
`java.lang.String` | `levelThreeLetter()` Provides a certain pattern of letters for the third level of the game
`java.lang.String` | `levelTwoLetter()` Provides a certain pattern of letters for the second level of the game
`void` | `prepare()` Initiates components that will be included in the constructor

Methods inherited from class greenfoot.Actor
`addedToWorld, getImage, getIntersectingObjects, getNeighbours, getObjectsAtOffset, getObjectsInRange, getOneIntersectingObject, getOneObjectAtOffset, getRotation, getWorld, getX, getY, intersects, isAtEdge, isTouching, move, removeTouching, setImage, setImage, setLocation, setRotation, turn, turnTowards`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDEX

    public static int INDEX

### ITERATIONS

    public static int ITERATIONS

Constructor Detail

### Letter

    public Letter(java.awt.Color color)

  Constructor for objects of class Letter.

  Parameters:
    `color(Color)` - the color of the letter

Method Detail

### act

    public void act()

  Act - do whatever the Word wants to do. This method is called whenever the 'Act' or 'Run' button gets pressed in the environment.

  Overrides:
    `act` in class `greenfoot.Actor`

### fillLists

    public void fillLists()

  Fills letters list with letters from the keys of the middle row of the keyboard

### getTextImage

    public TextImage getTextImage()

  Returns the image of the object Letter.

  Returns:
    the image of the Letter object

### letterFromLevel

    public java.lang.String letterFromLevel()

  Selects the appropriate letter provider method according to the level.

### levelFiveLetter

    public java.lang.String levelFiveLetter()

  Provides a certain pattern of letters for the fifth level of the game

### levelFourLetter

    public java.lang.String levelFourLetter()

  Provides a certain pattern of letters for the forth level of the game

### levelOneLetter

    public java.lang.String levelOneLetter()

  Provides a certain pattern of letters for the first level of the game

### levelThreeLetter

    public java.lang.String levelThreeLetter()

  Provides a certain pattern of letters for the third level of the game

### levelTwoLetter

    public java.lang.String levelTwoLetter()

  Provides a certain pattern of letters for the second level of the game

### prepare

    public void prepare()

  Initiates components that will be included in the constructor